local style = require("core.style")
local common = require("core.common")

style.background = common.color("#343233")
style.background2 = common.color("#2c2a2b")
style.background3 = common.color("#2c2a2b")
style.text = common.color("#c4b398")
style.cursor = common.color("#61efce")
style.accent = common.color("#ffd152")
style.dim = common.color("#615d5f")
style.divider = common.color("#242223")
style.selection = common.color("#454244")
style.line_number = common.color("#454244")
style.line_number2 = common.color("#615d5f")
style.line_highlight = common.color("#383637")
style.scrollbar = common.color("#454344")
style.scrollbar2 = common.color("#524F50")

style.syntax["normal"] = common.color("#efdab9")
style.syntax["symbol"] = common.color("#efdab9")
style.syntax["comment"] = common.color("#615d5f")
style.syntax["keyword"] = common.color("#d36e2d")
style.syntax["keyword2"] = common.color("#ef6179")
style.syntax["number"] = common.color("#ffd152")
style.syntax["literal"] = common.color("#ffd152")
style.syntax["string"] = common.color("#ffd152")
style.syntax["operator"] = common.color("#efdab9")
style.syntax["function"] = common.color("#61efce")
style.syntax["preprocessor"] = common.color("#9dd375") -- liqube

-- Keep fenced code rows subtly separate from the surrounding document
style.syntax["code"] = { bg = style.darken(style.background, 0.20) }
